org.apache.olingo.odata2.api.edm

## Interface EdmEntityContainer

- All Superinterfaces:
    EdmAnnotatable, EdmNamed
  All Known Implementing Classes:
    EdmEntityContainerImpl

      public interface EdmEntityContainer
      extends EdmNamed, EdmAnnotatable

  Do not implement this interface or derive from class.
    A CSDL EntityContainer element

    EdmEntityContainer hold the information of EntitySets, FunctionImports and AssociationSets contained

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAssociationSet` | `getAssociationSet(EdmEntitySet sourceEntitySet, EdmNavigationProperty navigationProperty)` Get contained AssociationSet by providing the source entity set and the navigation property
    `List<EdmAssociationSet>` | `getAssociationSets()` ATTENTION: This method does not support LAZY LOADING.
    `EdmEntitySet` | `getEntitySet(String name)` Get contained EntitySet by name
    `List<EdmEntitySet>` | `getEntitySets()` ATTENTION: This method does not support LAZY LOADING.
    `EdmFunctionImport` | `getFunctionImport(String name)` Get contained FunctionImport by name
    `String` | `getNamespace()`
    `boolean` | `isDefaultEntityContainer()`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### isDefaultEntityContainer

          boolean isDefaultEntityContainer()

      Returns:
        boolean true if this is the default container

    - #### getNamespace

          String getNamespace()
                       throws EdmException

      Returns:
        String namepspace of the container
      Throws:
        `EdmException`

    - #### getEntitySet

          EdmEntitySet getEntitySet(String name)
                             throws EdmException

      Get contained EntitySet by name
      Parameters:
        `name` -
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getEntitySets

          List<EdmEntitySet> getEntitySets()
                                    throws EdmException

      ATTENTION: This method does not support LAZY LOADING.
      Get list of all contained EntitySets.
      Returns:
        with all contained `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport(String name)
                                       throws EdmException

      Get contained FunctionImport by name
      Parameters:
        `name` -
      Returns:
        `EdmFunctionImport`
      Throws:
        `EdmException`

    - #### getAssociationSet

          EdmAssociationSet getAssociationSet(EdmEntitySet sourceEntitySet,
                                              EdmNavigationProperty navigationProperty)
                                       throws EdmException

      Get contained AssociationSet by providing the source entity set and the navigation property
      Parameters:
        `sourceEntitySet` - of type `EdmEntitySet`
        `navigationProperty` - of type `EdmNavigationProperty`
      Returns:
        `EdmAssociationSet`
      Throws:
        `EdmException`

    - #### getAssociationSets

          List<EdmAssociationSet> getAssociationSets()
                                              throws EdmException

      ATTENTION: This method does not support LAZY LOADING.
      Get list of all contained AssociationSets
      Returns:
        list with all contained `EdmAssociationSet`
      Throws:
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.